Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.exe
Class VariableContainer

    java.lang.Object
      org.jbpm.context.exe.VariableContainer

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TaskInstance, TokenVariableMap

    public abstract class VariableContainer

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `variableInstances`

Constructor Summary
`VariableContainer()`

Method Summary
`void` | `addVariableInstance(VariableInstance variableInstance)`
`void` | `addVariables(java.util.Map variables)` adds all the given variables to this variable container.
`void` | `deleteVariable(java.lang.String name)`
`void` | `deleteVariableInstance(java.lang.String name)`
`void` | `deleteVariableLocally(java.lang.String name)`
`ContextInstance` | `getContextInstance()`
`protected abstract VariableContainer` | `getParentVariableContainer()`
`abstract Token` | `getToken()`
`static java.util.Collection` | `getUpdatedVariableContainers(ProcessInstance processInstance)`
`java.lang.Object` | `getVariable(java.lang.String name)`
`VariableInstance` | `getVariableInstance(java.lang.String name)`
`java.util.Map` | `getVariableInstances()`
`java.lang.Object` | `getVariableLocally(java.lang.String name)`
`java.util.Map` | `getVariables()`
`java.util.Map` | `getVariablesLocally()`
`boolean` | `hasVariable(java.lang.String name)`
`boolean` | `hasVariableLocally(java.lang.String name)`
`void` | `setVariable(java.lang.String name, java.lang.Object value)`
`void` | `setVariableLocally(java.lang.String name, java.lang.Object value)`
`void` | `setVariables(java.util.Map variables)` adds all the given variables to this variable container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variableInstances

    protected java.util.Map variableInstances

Constructor Detail

### VariableContainer

    public VariableContainer()

Method Detail

### getParentVariableContainer

    protected abstract VariableContainer getParentVariableContainer()

### getToken

    public abstract Token getToken()

### getVariable

    public java.lang.Object getVariable(java.lang.String name)

### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object value)

### hasVariable

    public boolean hasVariable(java.lang.String name)

### deleteVariable

    public void deleteVariable(java.lang.String name)

### addVariables

    public void addVariables(java.util.Map variables)

  adds all the given variables to this variable container. The method `setVariables(Map)` is the same as this method, but it was added for naming consitency.

### setVariables

    public void setVariables(java.util.Map variables)

  adds all the given variables to this variable container. It doesn't remove any existing variables unless they are overwritten by the given variables. This method is the same as `addVariables(Map)` and this method was added for naming consistency.

### getVariables

    public java.util.Map getVariables()

### getVariablesLocally

    public java.util.Map getVariablesLocally()

### hasVariableLocally

    public boolean hasVariableLocally(java.lang.String name)

### getVariableLocally

    public java.lang.Object getVariableLocally(java.lang.String name)

### deleteVariableLocally

    public void deleteVariableLocally(java.lang.String name)

### setVariableLocally

    public void setVariableLocally(java.lang.String name,
                                   java.lang.Object value)

### getVariableInstance

    public VariableInstance getVariableInstance(java.lang.String name)

### getVariableInstances

    public java.util.Map getVariableInstances()

### addVariableInstance

    public void addVariableInstance(VariableInstance variableInstance)

### deleteVariableInstance

    public void deleteVariableInstance(java.lang.String name)

### getContextInstance

    public ContextInstance getContextInstance()

### getUpdatedVariableContainers

    public static java.util.Collection getUpdatedVariableContainers(ProcessInstance processInstance)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD